import { BaseEditor } from 'slate';
import { ReactEditor } from 'slate-react';
/**
 * The shape of the completion response from the API.
 */
export interface ICompletionResponse {
    sid: string;
    input: string;
    completion?: string | null;
}
export type CustomElement = {
    type: 'text' | 'completion' | undefined;
    children: CustomText[];
};
export type CustomText = {
    text: string;
    type: undefined;
};
export type CustomDescendant = CustomElement | CustomText;
export type CEditor = Omit<BaseEditor, 'children'> & ReactEditor & {
    children: CustomDescendant[];
};
declare module 'slate' {
    interface CustomTypes {
        Editor: CEditor;
        Element: CustomElement;
        Text: CustomText;
    }
}
